Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 609220 - Various obstack-related memory corruptions
Various obstack-related memory corruptions
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gdb (Show other bugs)
6.0
x86_64 Linux
low Severity medium
: rc
: ---
Assigned To: Jan Kratochvil
Petr Muller
abrt_hash:2ace2d86ef9ef95f4d44d02d09f...
:
Depends On: 606185
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-29 13:12 EDT by Jan Kratochvil
Modified: 2016-09-19 22:07 EDT (History)
3 users (show)

See Also:
Fixed In Version: gdb-7.1-27.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 606185
Environment:
Last Closed: 2010-11-10 15:27:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Kratochvil 2010-06-29 13:12:34 EDT
+++ This bug was initially created as a clone of Bug #606185 +++

reason: Process /usr/bin/gdb was killed by signal 11 (SIGSEGV)

--- Additional comment from tromey@redhat.com on 2010-06-21 23:53:30 CEST ---

#10 0x0000000000512dd5 in val_print_array_elements (
    type=<value optimized out>, valaddr=0x11e889e0 "", 
    address=140161173391296, stream=0x165c9b0, recurse=41342, 

That "recurse" value points at the problem.

Without more information I would guess that this is one of:

http://sourceware.org/bugzilla/show_bug.cgi?id=9067
http://sourceware.org/bugzilla/show_bug.cgi?id=9167
http://sourceware.org/bugzilla/show_bug.cgi?id=10687


There are various crashes and endless loops difficult to investigate more.  But upstream has some fixes of clear memory corruptions.  Such fixes should never harm.
Comment 1 RHEL Product and Program Management 2010-06-29 13:23:10 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 4 Petr Muller 2010-08-03 10:36:27 EDT
# runtest --tool=gdb gdb.cp/pr10687.exp gdb.cp/pr9167.exp gdb.cp/static-print-quit.exp

(...)

                === gdb Summary ===

# of expected passes            11
Comment 5 releng-rhel@redhat.com 2010-11-10 15:27:18 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.